package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.DocTrans;

/**
 * @ClassName : TaiZhouDocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
public class ChangxDocTrans extends DocTrans {

    @Override
    protected InputInfo extract(QueryVo queryVo) {
        InputInfo inputInfo = new InputInfo();
        for (MedrecVo i : queryVo.getMedrec()) {
            if (i.getTitle().equals("手术")) {
                ChangxOperationDocTrans changxOperationDocTrans = new ChangxOperationDocTrans();
                inputInfo.setOperationDocs(changxOperationDocTrans.extract(i));
            }
            if (i.getTitle().equals("转科记录")) {
                ChangxTransferRecordDocTrans transferRecordDocTrans = new ChangxTransferRecordDocTrans();
                inputInfo.setTransferRecordDocs(transferRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("入院记录")) {
                ChangxBeHospitalizedDocTrans beHospitalizedDocTrans = new ChangxBeHospitalizedDocTrans();
                inputInfo.setBeHospitalizedDoc(beHospitalizedDocTrans.extract(i));
            }
            if (i.getTitle().equals("输血/血制品病程记录")) {
                ChangxClinicalBloodDocTrans clinicalBloodDocTrans = new ChangxClinicalBloodDocTrans();
                inputInfo.setClinicalBloodDocs(clinicalBloodDocTrans.extract(i));
            }
            if (i.getTitle().equals("会诊记录")) {
                ChangxConsultationDocTrans consultationDocTrans = new ChangxConsultationDocTrans();
                inputInfo.setConsultationDocs(consultationDocTrans.extract(i));
            }
            if (i.getTitle().equals("危急值记录")) {
                ChangxCrisisValueReportDocTrans crisisValueReportDocTrans = new ChangxCrisisValueReportDocTrans();
                inputInfo.setCrisisValueReportDocs(crisisValueReportDocTrans.extract(i));
            }
            if (i.getTitle().equals("病危通知书")) {
                ChangxCriticallyIllNoticeDocTrans criticallyIllNoticeDocTrans = new ChangxCriticallyIllNoticeDocTrans();
                inputInfo.setCriticallyIllNoticeDocs(criticallyIllNoticeDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡病例讨论记录")) {
                ChangxDeathCaseDiscussDocTrans deathCaseDiscussDocTrans = new ChangxDeathCaseDiscussDocTrans();
                inputInfo.setDeathCaseDiscussDoc(deathCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡记录")) {
                ChangxDeathRecordDocTrans deathRecordDocTrans = new ChangxDeathRecordDocTrans();
                inputInfo.setDeathRecordDoc(deathRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("疑难病例讨论记录")) {
                ChangxDifficultCaseDiscussDocTrans difficultCaseDiscussDocTrans = new ChangxDifficultCaseDiscussDocTrans();
                inputInfo.setDifficultCaseDiscussDocs(difficultCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("医嘱信息")) {
                ChangxDoctorAdviceDocTrans doctorAdviceDocTrans = new ChangxDoctorAdviceDocTrans();
                inputInfo.setDoctorAdviceDocs(doctorAdviceDocTrans.extract(i));
            }
            if (i.getTitle().equals("值班交接制度")) {
                ChangxDutyShiftSystemDocTrans dutyShiftSystemDocTrans = new ChangxDutyShiftSystemDocTrans();
                inputInfo.setDutyShiftSystemDocs(dutyShiftSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("首次病程录")) {
                ChangxFirstCourseRecordDocTrans firstCourseRecordDocTrans = new ChangxFirstCourseRecordDocTrans();
                inputInfo.setFirstCourseRecordDoc(firstCourseRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("病案首页")) {
                ChangxFirstPageRecordDocTrans firstPageRecordDocTrans = new ChangxFirstPageRecordDocTrans();
                inputInfo.setFirstPageRecordDoc(firstPageRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("出院小结")) {
                ChangxLeaveHospitalDocTrans leaveHospitalDocTrans = new ChangxLeaveHospitalDocTrans();
                inputInfo.setLeaveHospitalDoc(leaveHospitalDocTrans.extract(i));
            }
            if (i.getTitle().equals("分级护理制度")) {
                ChangxNursingSystemDocTrans nursingSystemDocTrans = new ChangxNursingSystemDocTrans();
                inputInfo.setNursingSystemDoc(nursingSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("抢救记录")) {
                ChangxRescueDocTrans rescueDocTrans = new ChangxRescueDocTrans();
                inputInfo.setRescueDocs(rescueDocTrans.extract(i));
            }
            if (i.getTitle().equals("病重通知书")) {
                ChangxSeriouslyIllNoticeDocTrans seriouslyIllNoticeDocTrans = new ChangxSeriouslyIllNoticeDocTrans();
                inputInfo.setSeriouslyIllNoticeDocs(seriouslyIllNoticeDocTrans.extract(i));
            }
            if (i.getTitle().equals("查房记录")) {
                ChangxThreeLevelWardDocTrans threeLevelWardDocTrans = new ChangxThreeLevelWardDocTrans();
                inputInfo.setThreeLevelWardDocs(threeLevelWardDocTrans.extract(i));
            }
        }
        return inputInfo;
    }

}