package com.lantone.qc.trans.changx;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.DutyShiftSystemDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.List;
import java.util.Map;

/**
 * @Description: 值班交接制度文档生成
 * @author: rengb
 * @time: 2020/3/17 13:24
 */
public class ChangxDutyShiftSystemDocTrans extends ModelDocTrans {

    @Override
    public List<DutyShiftSystemDoc> extract(MedrecVo medrecVo) {
        List<DutyShiftSystemDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            Map<String, String> structureMap =
                    Preproc.extract_doc_pub(
                            false,
                            ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.dutyShiftSystem : medrecVo.getLabel(),
                            content
                    );

            DutyShiftSystemDoc dutyShiftSystemDoc = ModelDocGenerate.dutyShiftSystemDocGen(structureMap);
            dutyShiftSystemDoc.setText(content);
            retList.add(dutyShiftSystemDoc);
        });
        return retList;
    }

}