package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.Map;

/**
 * @Description: 首次病程录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:25
 */
public class ChangxFirstCourseRecordDocTrans extends ModelDocTrans {

    @Override
    public FirstCourseRecordDoc extract(MedrecVo medrecVo) {
        String content = medrecVo.getContent().get("content").toString();
        Map<String, String> structureMap =
                Preproc.extract_doc_pub(
                        false,
                        ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.firstCourseRecord : medrecVo.getLabel(),
                        content
                );

        FirstCourseRecordDoc firstCourseRecordDoc = ModelDocGenerate.firstCourseRecordDocGen(structureMap);
        firstCourseRecordDoc.setText(content);

        return firstCourseRecordDoc;
    }

}